import { Type } from "./type";
import { LegendItemBadgeShape } from "./LegendItemBadgeShape";
import { DataTemplate } from "./DataTemplate";
/**
 * @hidden
 */
export interface IDataLegendSeries {
    readonly index: number;
    readonly title: any;
    readonly dataLegendKey: string;
    legendItemBadgeShape: LegendItemBadgeShape;
    getDataLegendBadge(): DataTemplate;
    getDataLegendBadgeContext(): any;
    getDataLegendBadgeShapeAndMarker(): string;
    getDataLegendSeriesTitle(): string;
    getDataLegendAxisLabelFromCursorPosition(a: number, b: number): any;
    getDataLegendSeriesContextAt(a: number, b: number): any;
    getDataLegendResolvedWorldPositionX(a: number): number;
    getDataLegendResolvedWorldPositionY(a: number): number;
    readonly isValueOverlay: boolean;
    readonly isSummarizationSupported: boolean;
}
/**
 * @hidden
 */
export declare let IDataLegendSeries_$type: Type;
